### Signal

# FwupdPlugin Plugin::check-supported

since: 1.0.0

#### Declaration

    gboolean
    check_supported (
      FuPlugin* self,
      gchar* guid,
      gpointer user_data
    )

#### Description [src]

The ::check-supported signal is emitted when a plugin wants to ask the daemon if a specific device GUID is supported in the existing system metadata.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.0.0

#### Parameters

`guid`

  Type: `gchar*`

  A device GUID.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the GUID is found.